Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 212243)
+++ channels/chan_sip.c	(working copy)
@@ -2144,8 +2144,8 @@
 		if (option_debug > 2)
 			ast_log(LOG_DEBUG, "Re-scheduled destruction of SIP call %s\n", p->callid ? p->callid : "<unknown>");
 		append_history(p, "ReliableXmit", "timeout");
-		if (sscanf(p->lastmsg, "Tx: %30s", method_str) == 1 || sscanf(p->lastmsg, "Rx: %30s", method_str) == 1) {
-			if (method_match(SIP_CANCEL, method_str) || method_match(SIP_BYE, method_str)) {
+		if (sscanf(p->lastmsg, "Tx: %30s", method_str) == 1 || sscanf(p->lastmsg, "Rx: %30s", method_str) == 1 || sscanf(p->lastmsg, "Init: %30s", method_str)) {
+			if (method_match(SIP_CANCEL, method_str) || method_match(SIP_BYE, method_str) || method_match(SIP_INVITE, method_str)) {
 				ast_set_flag(&p->flags[0], SIP_NEEDDESTROY);
 			}
 		}
